import { RawResolversConfig, ParsedResolversConfig } from './base-resolvers-visitor';
export declare type ParsedMapper = InternalParsedMapper | ExternalParsedMapper;
export interface InternalParsedMapper {
    isExternal: false;
    type: string;
}
export interface ExternalParsedMapper {
    isExternal: true;
    type: string;
    import: string;
    source: string;
    default: boolean;
}
export declare function isExternalMapperType(m: ParsedMapper): m is ExternalParsedMapper;
export declare function parseMapper(mapper: string, gqlTypeName?: string | null): ParsedMapper;
export declare function isExternalMapper(value: string): boolean;
export declare function transformMappers(rawMappers: RawResolversConfig['mappers']): ParsedResolversConfig['mappers'];
